---
updatedAt: 2026-04-24T07:17:22.000Z
agentTools:
  projectIndex: https://apidocs.pearch.ai/llms.txt
---

# Find relevant jobs

Accepts a profile (arbitrary JSON), and returns a list of jobs relevant to the provided profile. 
This endpoint is used in conjunction with `/v1/find_matching_jobs` endpoint. 
1. First you need to upsert jobs with [/v1/upsert_jobs](/reference/post_v1-upsert-jobs)
2. Then you can use [/v1/find_matching_jobs](/reference/post_v1-find-matching-jobs) to find jobs relevant to a profile.        

**Cost: 1 credit per found job**

_Check out official [Python client](https://github.com/Pearch-ai/pearch-client)_


<Cards columns={2}>
  <Card title="PRICING" href="https://pearch.ai/pricing" icon="fa-money-bill" target="_blank">
    CHECK HOW OUR CREDIT SYSTEM WORKS
  </Card>

  <Card title="KNOWLEDGE BASE" href="https://pearch.ai/articles" icon="fa-book" target="_blank">
    Insights and Research from PEARCH AI team
  </Card>
</Cards>

<BookDemoButton label="Book a demo" sublabel="15 minutes • Calendly" size="lg" fullWidth={false} align="center" />

# OpenAPI definition

```json
{
  "openapi": "3.0.4",
  "info": {
    "title": "Pearch.AI API",
    "description": "Pearch.AI API. You need to pass API key as 'Authorization: Bearer <API_KEY>' header.",
    "version": "2.0"
  },
  "x-readme": {
    "explorer-enabled": true,
    "samples-languages": [
      "shell"
    ],
    "proxy-enabled": false
  },
  "servers": [
    {
      "url": "https://api.pearch.ai/",
      "description": "Main server"
    }
  ],
  "paths": {
    "/v1/find_matching_jobs": {
      "post": {
        "operationId": "post_v1-find-matching-jobs",
        "summary": "Find relevant jobs",
        "tags": [
          "Jobs"
        ],
        "description": "Accepts a profile (arbitrary JSON), and returns a list of jobs relevant to the provided profile. \nThis endpoint is used in conjunction with `/v1/find_matching_jobs` endpoint. \n1. First you need to upsert jobs with [/v1/upsert_jobs](/reference/post_v1-upsert-jobs)\n2. Then you can use [/v1/find_matching_jobs](/reference/post_v1-find-matching-jobs) to find jobs relevant to a profile.        \n\n**Cost: 1 credit per found job**\n\n_Check out official [Python client](https://github.com/Pearch-ai/pearch-client)_\n",
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "profile": {
                    "type": "object",
                    "description": "Arbitrary JSON representing the candidate profile.",
                    "example": {
                      "id": "123",
                      "name": "Jane Doe",
                      "work_history": [
                        {
                          "company": "Pure Storage",
                          "position": "Product Manager",
                          "start_date": "Mar 2024",
                          "end_date": "Present",
                          "description": ""
                        }
                      ],
                      "education_history": [
                        {
                          "institution": "The School of Electrical and Computer Engineering of Applied Studies",
                          "degree": "Bachelor of Applied Science - BASc",
                          "field": "Information Technology",
                          "start_year": "2020",
                          "end_year": "2023"
                        }
                      ],
                      "skills": [
                        "Python",
                        "Machine Learning"
                      ]
                    }
                  },
                  "limit": {
                    "type": "integer",
                    "description": "Maximum number of jobs to return (1-100)",
                    "minimum": 1,
                    "maximum": 100,
                    "example": 10
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "List of relevant jobs returned",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "uuid": {
                      "type": "string",
                      "description": "Unique identifier for the query.",
                      "example": "ec191bf9-99ff-4989-8383-c97c71fafb6d"
                    },
                    "jobs": {
                      "type": "array",
                      "description": "List of job objects relevant to the profile.",
                      "items": {
                        "type": "object",
                        "properties": {
                          "job_id": {
                            "type": "string",
                            "description": "Unique identifier for the job. This is the same as job_id passed to /v1/upsert_jobs.",
                            "example": "job-1234"
                          },
                          "job_description": {
                            "type": "string",
                            "description": "Job description.",
                            "example": "Work on AI models for healthcare."
                          },
                          "score": {
                            "type": "number",
                            "format": "float",
                            "description": "Relevance score for the match (2.0..5.0). Higher is better.",
                            "example": 2.92
                          },
                          "insights": {
                            "type": "object",
                            "description": "Insights of how well the job matches the profile.",
                            "properties": {
                              "query_insights": {
                                "type": "array",
                                "description": "Insights broken down by subqueries.",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "match_level": {
                                      "type": "string",
                                      "description": "The degree to which the candidate matches the requirement: Exceeds Expectations,Meets Expectations,Partially Meets,Insufficient Data,Does Not Meet",
                                      "example": "Exceeds Expectations"
                                    },
                                    "priority": {
                                      "type": "string",
                                      "description": "Indicates how important this subquery: Essential, Important, Optional",
                                      "example": "Essential"
                                    },
                                    "short_rationale": {
                                      "type": "string",
                                      "description": "Concise version of the rationale.",
                                      "example": "3+ years as a software engineer"
                                    },
                                    "subquery": {
                                      "type": "string",
                                      "description": "Specific subquery analyzed for this insight.",
                                      "example": "software engineer"
                                    },
                                    "short_quotes": {
                                      "type": "array",
                                      "description": "Short quotes from the candidate's profile.",
                                      "items": {
                                        "type": "string",
                                        "example": "I have 3+ years of experience in software development."
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid input data"
          },
          "401": {
            "description": "Invalid API key"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ]
}
```